Debian Bug report logs - #192678
ITA: equivs -- Circumventing Debian package dependencies

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Fri, 9 May 2003 16:19:16 UTC

Severity: normal

Fixed in version equivs/2.0.5

Done: Fabio Rafael da Rosa <f2r@users.sourceforge.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#192678; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Martin Bialasinski <martinb@debian.org>
Subject: O: equivs -- Circumventing Debian package dependencies
Date: Sat, 10 May 2003 02:11:56 +1000
Package: wnpp
Severity: normal

The current maintainer of equivs, Martin Bialasinski <martinb@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: equivs
Binary: equivs
Version: 2.0.4
Priority: extra
Section: admin
Maintainer: Martin Bialasinski <martinb@debian.org>
Build-Depends: debhelper
Architecture: all
Standards-Version: 3.1.0
Format: 1.0
Directory: pool/main/e/equivs
Files: 49b34d85ccfbbde5b77bc3248d7e89e4 514 equivs_2.0.4.dsc
 293a0e15ea2021e8e763f29d0ef09053 11351 equivs_2.0.4.tar.gz

Package: equivs
Priority: extra
Section: admin
Installed-Size: 51
Maintainer: Martin Bialasinski <martinb@debian.org>
Architecture: all
Version: 2.0.4
Depends: perl|perl5, debhelper, dpkg-dev, devscripts, make, fakeroot
Filename: pool/main/e/equivs/equivs_2.0.4_all.deb
Size: 18178
MD5sum: 835d97f567fe0cf36700ebf012082993
Description: Circumventing Debian package dependencies
 This is a dummy package which can be used to create Debian
 packages, which only contain dependency information.
 .
 This way, you can make the Debian package management
 system believe that equivalents to packages on which other
 packages do depend on are actually installed.
 .
 Another possibility is creation of a meta package. When this
 package contains a dependency as "Depends: a, b, c", then
 installing this package will also select packages a, b and c.
 Instead of "Depends", you can also use "Recommends:" or
 "Suggests:" for less demanding dependency.
 .
 Please note that this is a crude hack and if thoughtlessly used
 might possibly do damage to your packaging system. And please
 note as well that using it is not the recommended way of dealing
 with broken dependencies. Better file a bug report instead.

Justification: NMUs, RC bugs, didn't respond to pings, inactive

-- 
Martin Michlmayr
tbm@cyrius.com



Changed Bug title. Request was from Fabio Rafael da Rosa <f2r@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#192678; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Fabio Rafael da Rosa <f2r@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #12 received at 192678@bugs.debian.org (full text, mbox):

From: Fabio Rafael da Rosa <f2r@users.sourceforge.net>
To: 192678@bugs.debian.org
Date: 15 May 2003 15:53:25 -0300
otavio@debian.org will be my sponsor
-- 
Fabio Rafael da Rosa <f2r@users.sourceforge.net>




Reply sent to Fabio Rafael da Rosa <f2r@users.sourceforge.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 192678-close@bugs.debian.org (full text, mbox):

From: Fabio Rafael da Rosa <f2r@users.sourceforge.net>
To: 192678-close@bugs.debian.org
Subject: Bug#192678: fixed in equivs 2.0.5
Date: Tue, 10 Jun 2003 19:17:26 -0400
We believe that the bug you reported is fixed in the latest version of
equivs, which is due to be installed in the Debian FTP archive:

equivs_2.0.5.dsc
  to pool/main/e/equivs/equivs_2.0.5.dsc
equivs_2.0.5.tar.gz
  to pool/main/e/equivs/equivs_2.0.5.tar.gz
equivs_2.0.5_all.deb
  to pool/main/e/equivs/equivs_2.0.5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 192678@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fabio Rafael da Rosa <f2r@users.sourceforge.net> (supplier of updated equivs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 15 May 2003 16:58:59 -0300
Source: equivs
Binary: equivs
Architecture: source all
Version: 2.0.5
Distribution: unstable
Urgency: low
Maintainer: Fabio Rafael da Rosa <f2r@users.sourceforge.net>
Changed-By: Fabio Rafael da Rosa <f2r@users.sourceforge.net>
Description: 
 equivs     - Circumventing Debian package dependencies
Closes: 122041 131270 163780 192678
Changes: 
 equivs (2.0.5) unstable; urgency=low
 .
   * New maintainer. (Closes: #192678)
   * Uptated to Standards-Version 3.5.10
   * Changed some docs to be more clear (patch from eriksson
     <era@there.afraid.org>) (Closes: #163780, #131270)
   * Changed Maintainer sample line in equivs-control to make it clear.
     (Closes: #122041)
Files: 
 9d5885af21265fd7b75771ff2d7e9d38 497 admin extra equivs_2.0.5.dsc
 fa95410d9dd7fe9559e4593c5aab6946 11246 admin extra equivs_2.0.5.tar.gz
 a4377a0cf2bd102cfe515562ea2055ce 17764 admin extra equivs_2.0.5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iD8DBQE+5mTvLqiZQEml+FURAlDVAJ4p928wX5LpHtnDA2IHjFUVM3PIFACgq/1K
2J52y1fEza6pfka9RiGHvhY=
=AErQ
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:30:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.